---
title: "Remove Room from the Team"
slug: "remove-room-from-the-team"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Room from the Team

Post/api/v1/teams.removeRoom

Removes a room from a team.

Permissions required: `remove-team-channel`, `view-all-team-channels`

Header parametersX-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
X-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f

Body parameters<select class='api-response-data' aria-label='Media type'><option value='797921ef-3aac-4c48-a116-2275bb78a7a3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='275c5c8a-1cf1-4fb4-a949-e0653c7df5d1'>Example</option>
</select>Example

```json
{
  "teamId": "63f3efc4b000b6b6d86704b2",
  "roomId": "JKa7R9zu2DinBhBN9"
}
```

object  teamNamestring    

Enter the team name. This parameter is required if `teamId` is not provided.

Exampleteam01
teamIdstring    

Enter the team ID. This parameter is required if `teamName` is not provided.

Exampled8eiFT9fIwfs
roomIdstring    

The room ID to be removed from the team.

Example8dugqGhuRvCBLdZft

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='1182c52a-686f-4bc0-b2e5-083d34eaf588'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='dc492b10-972e-4c4c-b27d-c35e449d50c7'>Success</option>
</select>Success

```json
{
  "room": {
    "_id": "JKa7R9zu2DinBhBN9",
    "fname": "Livestream",
    "customFields": {},
    "description": "",
    "broadcast": false,
    "encrypted": false,
    "federated": false,
    "name": "Livestream",
    "t": "c",
    "msgs": 15,
    "usersCount": 3,
    "u": {
      "_id": "rbAXPnMktTFbNpwtJ",
      "username": "roxie"
    },
    "ts": "2023-02-22T17:15:26.989Z",
    "ro": false,
    "default": false,
    "sysMes": true,
    "_updatedAt": "2023-09-29T05:51:47.779Z",
    "lm": "2023-09-14T12:06:00.594Z",
    "lastMessage": {
      "_id": "rtf5JoPLQup3X7Aof",
      "t": "videoconf",
      "msg": "",
      "groupable": false,
      "blocks": [
        {
          "type": "video_conf",
          "blockId": "6502f728a2f73c7460df6f71",
          "callId": "6502f728a2f73c7460df6f71",
          "appId": "videoconf-core"
        }
      ],
      "ts": "2023-09-14T12:06:00.594Z",
      "u": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "test.test",
        "name": "test test"
      },
      "rid": "JKa7R9zu2DinBhBN9",
      "_updatedAt": "2023-09-14T12:06:00.685Z",
      "urls": [],
      "mentions": [],
      "channels": []
    }
  },
  "success": true
}
```

Expand Allobject  roomobject  _idstring    
fnamestring    
customFieldsobject  
descriptionstring    
broadcastboolean    
encryptedboolean    
federatedboolean    
namestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
defaultboolean    
sysMesboolean    
_updatedAtstring    
lmstring    
lastMessageobject  _idstring    
tstring    
msgstring    
groupableboolean    
blocks Array of object   object  typestring    
blockIdstring    
callIdstring    
appIdstring    

tsstring    
uobject  _idstring    
usernamestring    
namestring    

ridstring    
_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  
channels Array of object   object  

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='1620f042-6c49-4c32-a060-32098e84324d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ee367683-ab8b-4873-8126-608fe09facf9'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
